Page MenuHomeFreeBSD

security/gopass: update to 1.12.2
ClosedPublic

Authored by eduardo on Mar 14 2021, 1:41 AM.
Tags
None
Referenced Files
Unknown Object (File)
Fri, Feb 16, 6:42 AM
Unknown Object (File)
Fri, Feb 16, 6:42 AM
Unknown Object (File)
Fri, Feb 16, 6:42 AM
Unknown Object (File)
Fri, Feb 16, 6:42 AM
Unknown Object (File)
Fri, Feb 16, 6:42 AM
Unknown Object (File)
Fri, Feb 16, 6:42 AM
Unknown Object (File)
Fri, Feb 16, 5:47 AM
Unknown Object (File)
Dec 20 2023, 4:49 AM
Subscribers

Details

Summary

security/gopass: update to 1.12.2

changelog: https://github.com/gopasspw/gopass/blob/v1.12.2/CHANGELOG.md

Approved by: dbaio, garga (mentors)
Differential Revision: https://reviews.freebsd.org/D29253

Test Plan
$ portlint -C
looks fine

poudriere testport:

11.4-RELEASE-p8 amd64 log
12.2-RELEASE-p4 amd64 log
14.0-CURRENT amd64 log

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

eduardo edited the summary of this revision. (Show Details)

TODO:

  • add "man" target to GO_BUILDFLAGS so it can make gopass.1 man
  • add "completion" target to GO_BUILDFLAGS so it can make bash, fish and zsh completions and remove:
post-build:
.for SHELL in bash fish zsh
        ${GO_WRKDIR_BIN}/${PORTNAME} completion ${SHELL} > ${WRKSRC}/${SHELL}
.endfor
dbaio requested changes to this revision.Mar 14 2021, 10:32 PM

Context not available.

Your diff doesn't have the full context, or use the command line arc, or generate the diff with the full context, more details here:
https://wiki.freebsd.org/Phabricator#Create_a_Revision_via_Web_Interface

Makefile
80–82 ↗(On Diff #85706)

Please put that comment back, it helps others to understand why you have two GH_TUPLE lines here.

This revision now requires changes to proceed.Mar 14 2021, 10:32 PM

Put comment back that helps others to understand why port have two GH_TUPLE lines.

This revision is now accepted and ready to land.Mar 15 2021, 11:00 AM
eduardo edited the test plan for this revision. (Show Details)
  • build gopass.1 manual file
  • refresh poudriere tesport logs
This revision now requires review to proceed.Mar 15 2021, 12:46 PM
This revision is now accepted and ready to land.Mar 15 2021, 2:38 PM
This revision was automatically updated to reflect the committed changes.